# List all details of source components When the advanced option is clicked, get the details/metadata of the components, such as settings, notifications, workflow, etc. Endpoint: GET /deployment-manager/deployment_artifacts/retrieve-settings Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Response 200 fields (application/json): - `customFields` (array) - `customFields.errors` (array) - `customFields.originalPayload` (object) Json node object contains metadata. - `customFields.response` (array) - `customFields.response.componentType` (string) Type of Component. - `customFields.response.error` (string) Error Information. - `customFields.response.id` (string) Id of Each component. - `customFields.response.key` (string) Key value of fields inside component. - `customFields.response.method` (string) Http method which is used to retrieve the particular component. - `customFields.response.payload` (object) Json node object contains metadata. - `customFields.response.result` (string) Contains the response of details fetched regarding selected component. - `customFields.response.segregationKey` (string) Gives the difference between components and sub components. - `customFields.response.templateId` (string) Id of the Template. - `customFields.response.url` (string) Metadata is retrieved from this URL. - `customFields.segregationKeys` (array) - `customObjects` (array) - `dataAccessControl` (array) - `dataQuery` (array) - `multiOrg` (array) - `notifications` (array) - `organizationHierarchy` (array) - `productCatalog` (array) - `settings` (array) - `workflows` (array) ## Response 400 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Configuration Templates does not exist."}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) A detailed description of the error response. ## Response 401 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Configuration Templates does not exist."}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) A detailed description of the error response. ## Response 403 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Configuration Templates does not exist."}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) A detailed description of the error response. ## Response 404 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Configuration Templates does not exist."}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) A detailed description of the error response.